{% extends 'sponsor_authed_base.html' %}

{% block main %}
    <div class="half-width" id="text1">
        <h2>Generate a new pixel</h2>
        <form action="{{ url_for('.pixel_post') }}" target="_self" method="POST">
            <button id="wide-button">Generate</button>
        </form>
    </div>
    <div class="half-width" id="text2">
        <h2>Your pixels</h2>
        <ul>
            {% for item in pixels %}
                <li>
                    <form action="{{ url_for('.pixel_delete') }}" target="_self" method="POST" class="no-flex">
                        <span>
                            {{ item["UUID"] }}  {# nosemgrep #}
                            -
                            <a href="javascript:void(0);" onclick="navigator.clipboard.writeText('<img src=&quot;{{ pixel_url }}/{{ item["UUID"] }}&quot; style=&quot;display:none&quot; />');">   {# nosemgrep #}
                                Copy as HTML
                            </a>
                            -
                            <a href="javascript:void(0);" onclick="navigator.clipboard.writeText('{{ pixel_url }}/{{ item["UUID"] }}/found');">  {# nosemgrep #}
                                Copy as URL
                            </a>
                            -
                            <a href="{{ url_for('.pixel_metrics', key_id=item['UUID']) }}">  {# nosemgrep #}
                                Metrics
                            </a>
                        </span>
                        <input type="hidden" name="pixel_uuid" value="{{ item['UUID'] }}"/>  {# nosemgrep #}
                        <button class="no-decoration"><img id="close-modal-pip" alt="Close Modal" src="/static/close-modal-pip.svg" /></button>
                    </form>
                </li>
            {% endfor %}
        </ul>
    </div>
{% endblock %}